> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a work-contract

> Delete a work-contract by its ID.

<Warning>You cannot delete a work-contract if it is the only one an employee has.</Warning>



## OpenAPI

````yaml /openapi-specs/directory-v3.yaml delete /directory/api/4.0/work-contracts/{id}
openapi: 3.1.0
info:
  title: Directory-v3
  version: '1.0'
  description: |
    Welcome on the documentation for the Directory v3 API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Users
    description: Users or employees.
  - name: Work-Contracts
    description: Work-contracts.
paths:
  /directory/api/4.0/work-contracts/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: id
        in: path
        required: true
        description: Identifier of the work-contract to retrieve.
        schema:
          type: integer
          minimum: 1
    delete:
      tags:
        - Work-Contracts
      summary: Delete a work-contract
      description: >-
        Delete a work-contract by its ID.


        <Warning>You cannot delete a work-contract if it is the only one an
        employee has.</Warning>
      operationId: delete-work-contract
      responses:
        '204':
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Unexpected Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string

````